> For the complete documentation index, see [llms.txt](https://docs.nosto.com/shopify/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nosto.com/shopify/features/outdated-asset-api-approach/quicker-recommendation-loading.md).

# Quicker loading times

This documentation walks you through the steps for setting up `nostojs` client script on your theme with higher priority, which aims to loading Nosto faster.&#x20;

## Approach

Please follow the steps outlined below for setting up your theme:

1. Place the below content inside the `head` section of `theme.liquid` file, above the line that says `{{ content_for_header }}`.

   ```javascript
    <script type="text/javascript">
        (() => {window.nostojs=window.nostojs||(cb => {(window.nostojs.q=window.nostojs.q||[]).push(cb);});})();
    </script>
    <script type="text/javascript">
        nostojs(api => api.setAutoLoad(false));
    </script>
   ```

   This accomplishes two results:\
   i. Initializes `nostojs` JavaScript api\
   ii. Stops Nosto from loading recommendations by default\\
2. Place the following snippet, in the theme liquid template files that contains `nosto_element` elements, below all the `nosto_element` snippets:

   ```javascript
       <script type="text/javascript">nostojs(api => api.loadRecommendations())</script>
   ```

   This line will make sure Nosto loads recommendations on after the `nosto_element` elements are loaded.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nosto.com/shopify/features/outdated-asset-api-approach/quicker-recommendation-loading.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
